﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Configuring Allowed Actions</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring Allowed Actions</h1>
        <p>This section describes the allowed actions that can be used when creating a report.</p>
        <h2 id="ConfiguringAllowedActions-Accept">Accept</h2>
        <p>When Accept is configured as an allowed action, it accepts the record as is and continues with non-conformance. You can do a careful evaluation later to check if the record is not a risk. While accepting a record, provide a start date and an end date signifying the acceptance duration. Once the end date of the record is reached, the record’s acceptance period completes and it reaches ‘Open’ state, indicating that you can take action on the record again.</p>
        <h2 id="ConfiguringAllowedActions-Revoke">Revoke</h2>
        <p>When Revoke is configured as an allowed action, it revokes the record. The record is a serious one, may cause a risk, and can become a drastic threat.<br />For example, a financial misuse by a certain employee, may result in revoking an employee’s access to the financial application. Revoking the record needs a manual effort to revoke the access.</p>
        <h2 id="ConfiguringAllowedActions-FurtherReview">Further Review</h2>
        <p>When Further Review is configured as an allowed action, it allows you to assign the record to another person for review. You can also assign the record to multiple persons. The final assignee can review and take the configured action.<br />Note that the assignee must have access to the required controls through the assigned SAV Role.</p>
        <h2 id="ConfiguringAllowedActions-ProvisionAccess">Provision Access</h2>
        <p>When Provision Access is configured as an allowed action, it allows you to assign the account to a particular access. When this action is performed on a record, a task is created in the target application.<br /><br />The Analytics query must have the columns given below:<br /><span class="attr">entvaluekey</span> - Entitlement value key of the entitlement to which the account will be assigned.<br /><span class="attr">acctKey</span> - Accountkey of the account to provision with the entitlement.<br /><span class="attr">accName</span> - Name of the account to provision with the entitlement.<br /><span class="attr">userKey</span> - Userkey of the user to whom the account is mapped.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select ev.entitlement_valuekey as entvaluekey, a.accountkey as acctKey, a.name as accName,u.userKey from entitlement_values ev, entitlement_types et, accounts a, user_accounts uwhere ev.entitlementtypekey=et.entitlementtypekey and et.endpointkey=6 and a.accountkey in(select accountkey from accounts where endpointkey=6) and u.ACCOUNTKEY=a.ACCOUNTKEY;   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>This action can also be configured as a default action, i.e., it will be automatically performed when the Analytics control is executed. Note that this default action is applicable when the Analytics control is scheduled for execution from the <strong>Admin &gt; Job Control Panel &gt; Analytics jobs</strong>.</p>
        <h2 id="ConfiguringAllowedActions-DeprovisionAccess">Deprovision Access</h2>
        <p>When Deprovision Access is configured as an allowed action, it removes the entitlement from a particular account. When this action is performed on a record, a task is created for removing access in the target application.</p>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">entvaluekey</span>- Entitlement value key of the entitlement which will be removed from the account.<br /><span class="attr">acctKey </span>- Accountkey of the account from which the entitlement access will be revoked.<br /><br />Sample query: </p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select ae1.entitlement_valuekey as entvaluekey,ev.ENTITLEMENT_VALUE,ae1.accountkey as acctKey, a.name, 'Deprovision Access' as 'Default_Action_For_Analytics' from account_entitlements1 ae1, accounts a , entitlement_values ev where a.accountkey = ae1.accountkey and ev.ENTITLEMENT_VALUEKEY=ae1.ENTITLEMENT_VALUEKEY and a.endpointkey=12;  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select ae1.entitlement_valuekey as entvaluekey,ev.ENTITLEMENT_VALUE,ae1.accountkey as acctKey, a.name, 'Deprovision Access' as 'Default_Action_For_Analytics' from account_entitlements1 ae1, accounts a , entitlement_values ev where a.accountkey = ae1.accountkey and ev.ENTITLEMENT_VALUEKEY=ae1.ENTITLEMENT_VALUEKEY and a.endpointkey=12;   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>This action can also be configured as a default action, i.e., it will be automatically performed when the Analytics control is executed. </p>
        <h2 id="ConfiguringAllowedActions-DeprovisionRoles">Deprovision Roles</h2>
        <p>When Deprovision Role is configured as an allowed action, it removes the role from user profile in IGA. This is applicable for enterprise, application and emergency access roles. When this action is performed on a record, a task is created for removing user access for the entitlements associated with the roles. </p>
        <div class="info" MadCap:conditions="Default.v55X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">This allowed action is available with release v5.5 SP4 and later.</p>
        </div>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">userkey</span> - Userkey of the user to whom the account is mapped.<br /><span class="attr">acctKey </span>- Accountkey of the account from which the entitlement access will be revoked.<br /><span class="attr">acctKey </span>- Accountkey of the account from which the entitlement access will be revoked.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select r.ROLE_NAME,u.username as name, rua.ROLEKEY as roleKey,rua.ACCOUNTKEY as acctKey, u.USERKEY as userKey,'Deprovision Role' as 'Default_Action_For_Analytics' from role_user_account rua join user_accounts ua on ua.ACCOUNTKEY=rua.ACCOUNTKEY join users u on u.USERKEY = ua.USERKEY join roles r on r.ROLEKEY = rua.ROLEKEY where r.STATUS=1 ;  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-PasswordExpired">Password Expired</h2>
        <p>When Password Expired is configured as an allowed action, it expires user’s password on the configured date. You can manually set or schedule the password expiry. This action can be configured as a default action. <br /><br />The Analytics query must have the columns given below:<br /><span class="attr">userKey</span> - Stores the userkey of the user whose password has to be expired.<br /><br />Sample query:</p>
        <ul>
            <li>
                <p>Manual action (bulk/single row action)</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select u.userkey, u.username , u.LASTPASSWORDUPDATEDATE, date_add(u.LASTPASSWORDUPDATEDATE,Interval p.expireafter day) as 'Expiry Date' from users u, policyrule p  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>where u.PASSWORDEXPIRED=0<br />and p.SCOPE='USER'<br />and p.EXPIREAFTER &gt; 0<br />and DATEDIFF(date_add(u.LASTPASSWORDUPDATEDATE,Interval p.expireafter day),sysdate()) = 0;</p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select u.userkey, u.username , u.LASTPASSWORDUPDATEDATE, date_add(u.LASTPASSWORDUPDATEDATE,Interval p.expireafter day) as 'Expiry Date', 'passwordExpired' as 'Default_Action_For_Analytics' from users u, policyrule p  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>where u.PASSWORDEXPIRED=0<br />and p.SCOPE='USER'and p.EXPIREAFTER &gt; 0<br />and DATEDIFF(date_add(u.LASTPASSWORDUPDATEDATE,Interval p.expireafter day),sysdate()) = 0;</p>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select u.userkey, u.username , u.LASTPASSWORDUPDATEDATE, date_add(u.LASTPASSWORDUPDATEDATE,Interval p.expireafter day) as 'Expiry Date', 'Password Expired' as 'Default_Action_For_Analytics' from users u, policyrule p  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>where u.PASSWORDEXPIRED=0<br />and p.SCOPE='USER'and p.EXPIREAFTER &gt; 0<br />and DATEDIFF(date_add(u.LASTPASSWORDUPDATEDATE,Interval p.expireafter day),sysdate()) = 0;</p>
        <h2 id="ConfiguringAllowedActions-DeprovisionAccount">Deprovision Account</h2>
        <p>When Deprovision Account is configured as an allowed action, it deprovisions account of a user from IGA. When this action is performed on a record, a task is created for deprovisioning the account in the target application.<br />For example, a Box connector account of a user who is no longer with the organization is assigned to an admin or a service account.<br /><br />The Analytics query must have the columns given below:<br /><span class="attr">acctKey</span> - Stores accountkey of the account which has to be deprovisioned.<br /><br />Sample query:</p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey 'deprovisionAccount' as Default_Action_For_Analytics from accounts;   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey 'Deprovision Account' as Default_Action_For_Analytics from accounts;   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-EnableAccount">Enable Account</h2>
        <p>When Enable Account is configured as an allowed action, it enables a user account that was disabled for security reasons. When this action is performed on a record, a task is created for enabling the account in the target application.<br /><br />The Analytics query must have the columns given below:<br /><span class="attr">acctKey</span> - Stores accountkey of the account which has to be enabled.</p>
        <p>Sample query:</p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'enableAccount' as Default_Action_For_Analytics from accounts a;   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'Enable Account' as Default_Action_For_Analytics from accounts a;    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DisableAccount">Disable Account</h2>
        <p>When Disable Account is configured as an allowed action, it disables a user account for security reasons. When this action is performed on a record, a task is created for disabling the account in the target application.</p>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">acctKey</span> - Stores accountkey of the account which has to be disabled.</p>
        <p>Sample query:</p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'disableAccount' as Default_Action_For_Analytics from accounts a;    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'Disable Account' as Default_Action_For_Analytics from accounts a;  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-MapOrphanAccount">Map Orphan Account</h2>
        <p>When Map Orphan Account is configured as an allowed action, it maps users to orphan accounts within IGA.<br />For example, you can map an object in ExchangeOnline that does not have a corresponding object in Azure AD.</p>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">acctKey</span> - Stores account key of the orphan account which needs to be mapped to user account.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">SELECT DISTINCT a.accountkey as acctKey, a.name 'Account Name', e.displayname 'Application Name', CASE WHEN a.status = 1 THEN 'Active' ELSE a.status END AS 'Account Status' FROM accounts a, endpoints e, securitysystems s WHERE a.endpointkey = e.endpointkey AND e.securitysystemkey = s.systemkeyAND a.status IN (1 , 'Active', 'Manually Provisioned') and e.ACCOUNTTYPEFORSERVICEACCOUNT not like concat('%',a.ACCOUNTTYPE,'%') and a.accountkey not in (SELECT accountkey FROM user_accounts ua) ORDER BY s.systemname;   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>For more information on the viewing mapped orphan account in IGA, see <em>Sample Actions on Reports </em>section in <MadCap:xref href="Creating-Actionable-Analytic-Report.htm">Creating Actionable Analytic Report</MadCap:xref> .</p>
        <h2 id="ConfiguringAllowedActions-TransferData">Transfer Data</h2>
        <p>When Transfer Data is configured as an allowed action, it transfers access from one account to another. This action is available only for Box application accounts. Add the source account key in the analytics query and select the destination account while taking action. This action cannot be performed by the default action in Analytics Job. You must take this action manually.</p>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">acctKey</span> - Stores account key of the source account from which the access is to be transferred to the destination account.</p>
        <p>Sample query:</p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select NAME, ACCOUNTKEY as acctKey, endpointkey from accounts where status in(2,'inactive','Manually Suspended');   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select NAME, ACCOUNTKEY as acctKey, endpointkey from accounts where status in(2,'inactive','Manually Suspended');   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-ReopenTasks">Reopen Tasks</h2>
        <p>When Reopen Tasks is configured as an allowed action, it re-opens a closed task for re-execution, debugging or any other analysis. When you have exhausted the maximum number of retries for a task and the associated task is still not successfully processed, use this action to re-process those failed tasks.</p>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">tasks</span> - Stores taskkey of the task to be re-opened.</p>
        <p>Sample query:</p>
        <ul>
            <li>
                <p>Run all V2</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select taskkey as tasks, STATUS , provisioningtries, 'reopenTasks' as 'Default_Action_For_Analytics' from arstasks where status=4 and PROVISIONINGTRIES&gt;1;    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Run all V1</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select taskkey as tasks, STATUS , provisioningtries, 'Reopen Tasks' as 'Default_Action_For_Analytics' from arstasks where status=4 and PROVISIONINGTRIES&gt;1;    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-UpdateAccount">Update Account</h2>
        <p>When Update Account is configured as an allowed action, it updates an account in IGA. When this action is performed on a record, a task is created for updating the account in the target application.</p>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">acctKey</span> - Stores an accountkey of the account which has to be updated.</p>
        <p>Sample query:</p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'UpdateAccount' as Default_Action_For_Analytics from accounts a; </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'UpdateAccount' as Default_Action_For_Analytics from accounts a;   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DeleteAccount">Delete Account</h2>
        <p>When Delete Account is configured as an allowed action, it deletes an account from IGA. When this action is performed on a record, a task is created for deleting the account in the target application.</p>
        <p>The Analytics query must have the columns given below:<br /><code>acctKey</code> - Stores accountkey of the account which has to be deleted.</p>
        <p>Sample query:</p>
        <ul>
            <li>
                <p>Schedule from Run All V2 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'deleteAccount' as Default_Action_For_Analytics from accounts a;</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Schedule from Run All V1 Analytics Job</p>
            </li>
        </ul>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.name,a.accountkey as acctKey, endpointkey, 'Delete Account' as Default_Action_For_Analytics from accounts a;  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-MapEntitlementOwner">Map Entitlement Owner</h2>
        <p>When Map Entitlement Owner is configured as an allowed action, it maps owner(s) to entitlements in IGA.</p>
        <p>The Analytics query must have the columns given below:<br /><span class="attr">entvaluekey</span> - Stores entitlement key of the entitlement to which the owner needs to be added.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select e.endpointname AS APPLICATION, et.ENTITLEMENTNAME as 'ENTITLEMENT TYPE', ev.entitlement_value AS 'ENTITLEMENT NAME', ev.ENTITLEMENT_VALUEKEY AS 'entvaluekey' from entitlement_values ev, entitlement_owners eo, endpoints e, entitlement_types et where ev.ENTITLEMENTTYPEKEY= et.ENTITLEMENTTYPEKEY and et.ENDPOINTKEY = e.ENDPOINTKEY and ev.ENTITLEMENT_VALUEKEY not in (Select distinct ENTITLEMENT_VALUEKEY from entitlement_owners);   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>For more information on the viewing mapped entitlement owner in IGA, see <em>Sample Actions on Reports </em>section in <MadCap:xref href="Creating-Actionable-Analytic-Report.htm">Creating Actionable Analytic Report</MadCap:xref>.</p>
        <h2 id="ConfiguringAllowedActions-MapAccountOwners">Map Account Owners</h2>
        <p>You can map owners to your existing standard or service accounts via a new action named <strong>Map Account Owner</strong>. The accounts can be mapped to individual users or user groups. While mapping, specify the rank to which the owners (selected user or a user group) belongs to.</p>
        <p>While creating or updating a control, you must specify the following column for both standard and service accounts.</p>
        <ul>
            <li>
                <p><span class="attr">acctKey </span>– This column stores the account keys that are used for mapping accounts with their owners.</p>
            </li>
        </ul>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.accountkey as acctKey,&#160;a.name&#160;as 'AccountName' , a.ACCOUNTTYPE ,e.endpointname as 'EndpointName'
from accounts a, endpoints e
where
a.ENDPOINTKEY=e.ENDPOINTKEY
and a.ACCOUNTKEY not in (select distinct ACCOUNTKEY from accountowners)
and a.ACCOUNTTYPE = 'Service Account';   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>To map an account owner, perform the following steps:</p>
        <ol>
            <li>
                <p>In the <strong>Analytics History Details </strong>page, navigate to the <strong>Action </strong>drop down against an account that has to be mapped to an owner, and click <strong>Map Account Owner</strong>. </p>
                <p>
                    <img src="../Resources/Images/analytics history details - map acc owner.png" style="width: 1280px;height: 494px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <p>
                    <br />
                </p>
            </li>
            <li>
                <p> In the <strong>Add Owner Type</strong> window, select the owner type as User or <strong>User Group</strong>, and <strong>click Next</strong>. </p>
                <p>
                    <img src="../Resources/Images/add owner type.png" style="width: 661px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <p> 3. If you select the <strong>Owner Type</strong> as <strong>User Group</strong>, the <strong>Select User Group</strong> window is displayed. </p>
        <p>
            <img src="../Resources/Images/select user group.png" style="width: 689px;height: 506px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p> 4. If you select the <strong>Owner Type</strong> as <strong>User</strong>, the <strong>Add Owner</strong> window is displayed. </p>
        <p>
            <img src="../Resources/Images/add owner.png" style="width: 686px;height: 506px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>5. If you have selected the owner type as <strong>User Group</strong>/<strong>User</strong>, select one or more user groups/users from the <strong>Select User Group/Add Owner</strong> windows respectively; Specify the ranks to which the owner belongs to, and click <strong>Submit</strong>.   </p>
        <p>6. In the <strong>Enter Comments</strong> window, specify the comments and click <strong>Save</strong>. </p>
        <p>
            <img src="../Resources/Images/enter comments - map acc owner.png" style="width: 701px;height: 228px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>7. Navigate to <strong>Admin &gt; Identity Repository &gt; Accounts &gt; Owner</strong> to view the newly added account owner details.</p>
        <h2 id="ConfiguringAllowedActions-QuarantineFile">Quarantine File</h2>
        <p>When Quarantine File is configured as an allowed action, it moves the file with sensitive data (for example, driving license number, social security number, etc) from its original location to the Quarantine folder. </p>
        <p>A dummy file is created in the original location stating that the file was moved since it contained sensitive content. Entitlement Customproperty should have a value to denote that the file has been quarantined. Original file location is maintained in the entitlements_value table.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">SELECT DISTINCTexc.CONNECTIONNAME AS 'GApps Account',ev.customproperty9 AS 'File Name',ev.CUSTOMPROPERTY5 AS 'File Path',ev.customproperty4 AS 'File Owner',GROUP_CONCAT(DISTINCT sr.RulenameORDER BY sr.Rulename ASCSEPARATOR ',') AS 'Rule Name',sre.times_matched AS 'Violations Count',CASEWHEN (ev.CUSTOMPROPERTY11 = 'anyone') THEN 'External'WHEN (ev.CUSTOMPROPERTY11 = 'domain') THEN 'Internal'WHEN (ev.CUSTOMPROPERTY11 = 'group') THEN 'Group'WHEN(ev.CUSTOMPROPERTY11 = 'Specific People'AND ac.ACCOUNTTYPE = 'Internal')THEN'Internal Collaborator'WHEN(ev.CUSTOMPROPERTY11 = 'Specific People'AND ac.ACCOUNTTYPE = 'External')THEN'External Collaborator'ELSE 'Other shared type'END AS 'Share Type',CASEWHEN(ev.CUSTOMPROPERTY11 = 'anyone'AND sre.times_matched &gt;= 1)THEN'Critical - Publicly Shared'WHEN((ev.CUSTOMPROPERTY11 = 'group'OR ev.CUSTOMPROPERTY11 = 'domain'OR ev.CUSTOMPROPERTY11 = 'Specific People')AND (sre.times_matched &gt;= 1AND sre.times_matched &lt;= 999))THEN'Low'WHEN((ev.CUSTOMPROPERTY11 = 'domain'OR ev.CUSTOMPROPERTY11 = 'group'OR ev.CUSTOMPROPERTY11 = 'Specific People')AND (sre.times_matched &gt;= 1000AND sre.times_matched &lt;= 4999))THEN'Medium'WHEN((ev.CUSTOMPROPERTY11 = 'domain'OR ev.CUSTOMPROPERTY11 = 'group'OR ev.CUSTOMPROPERTY11 = 'Specific People')AND (sre.times_matched &gt;= 5000AND sre.times_matched &lt;= 9999))THEN'High'WHEN((ev.CUSTOMPROPERTY11 = 'domain'OR ev.CUSTOMPROPERTY11 = 'group'OR ev.CUSTOMPROPERTY11 = 'Specific People')AND (sre.times_matched &gt;= 10000))THEN'Critical'ELSE 'Undefined'END AS Severity,ev.entitlement_valuekey AS entvaluekey,exc.externalconnectionkey AS Connectionkey,ep.ENDPOINTKEY AS endpointKeyFROMentitlement_values evINNER JOINentitlement_types et ON ev.entitlementtypekey = et.entitlementtypekeyAND ev.Status = 1AND et.ENTITLEMENTNAME = 'GoogleFile'INNER JOINscanrules_entitlements sre ON sre.ENTITLEMENT_VALUEKEY = ev.ENTITLEMENT_VALUEKEYAND ev.CustomProperty18 IS NULLAND sre.VIOLATION_PROBABILITY = 'HIGH'AND ev.customproperty11 IS NOT NULLINNER JOINscanrules sr ON sre.SCANRULENAME = sr.SCANRULEKEYAND sr.rulename LIKE '%License%'INNER JOINsecuritysystems ss ON et.systemkey = ss.systemkeyINNER JOINendpoints ep ON ep.SECURITYSYSTEMKEY = ss.systemkeyINNER JOINexternalconnection exc ON ss.externalconnection = exc.externalconnectionkeyINNER JOINexternalconnectiontype exct ON exc.externalconnectiontype = exct.externalconnectiontypekeyAND exct.connectiontype = 'GoogleApps'INNER JOINaccounts ac ON ac.name = ev.customproperty4AND ac.status = 1AND ac.endpointkey IN (23 , 26, 27) </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-UnquarantineFile">Unquarantine File</h2>
        <p>When Unquarantine File is configured as an allowed action, it moves the file from the quarantined folder to the original location. </p>
        <p>If the file does not have sensitive data and has been incorrectly moved to the quarantine folder, delete the dummy file created during the quarantine operation and reset the value of Customproperty that denotes the file is quarantined.</p>
        <h2 id="ConfiguringAllowedActions-DeleteFile">Delete File</h2>
        <p>When Delete File is configured as an allowed action, it deletes the file from the Box application.</p>
        <h2 id="ConfiguringAllowedActions-FalsePositive">False Positive</h2>
        <p>When False Positive is configured as an allowed action, it marks a file as False Positive, if a file is identified as sensitive content during a scan but its actually not is marked as False-positive. </p>
        <p>Certain files may be identified as containing sensitive data (such as driving license number, Social security number (SSN), etc) however, on further review it appears that the file does not have such data. Files marked as False Positive are not scanned by IGA.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">SELECT DISTINCT ev.entitlement_value AS 'Sensitive File Name', ev.customproperty9 AS 'File Name', ev.CUSTOMPROPERTY5 AS 'File Path', ev.customproperty4 AS 'File Owner', ev.entitlement_valuekey AS entvaluekey, exc.externalconnectionkey AS Connectionkey FROM entitlement_values ev INNER JOIN entitlement_types et ON ev.entitlementtypekey = et.entitlementtypekey AND ev.Status = 1 AND et.ENTITLEMENTNAME = 'GoogleFile' and ev.customproperty18 = 2 INNER JOIN scanrules_entitlements sre ON sre.entitlement_valuekey = ev.entitlement_valuekey INNER JOIN scanrules sr ON sr.scanrulekey = sre.scanrulename INNER JOIN securitysystems ss ON et.systemkey = ss.systemkey INNER JOIN endpoints ep ON ep.SECURITYSYSTEMKEY = ss.systemkey INNER JOIN externalconnection exc ON ss.externalconnection = exc.externalconnectionkey INNER JOIN externalconnectiontype exct ON exc.externalconnectiontype = exct.externalconnectiontypekey AND exct.connectiontype = 'GoogleApps' </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-Non-FalsePositive">Non-False Positive</h2>
        <p>When Non-False Positive is configured as an allowed action, it marks a file as Non-False Positive, if a file marked as False Positive is rolled back and marked as Non-False Positive.</p>
        <p>Certain files may be identified as containing sensitive data when the file is updated. Files marked as Non-False Positive are now scanned by IGA.</p>
        <h2 id="ConfiguringAllowedActions-RemoveAllCollaborations">Remove All Collaborations</h2>
        <p>When Remove All Collaborations is configured as an allowed action, it removes access of all the collaborators on the file.</p>
        <h2 id="ConfiguringAllowedActions-WhiteList">White List</h2>
        <p>When White List is configured as an allowed action, it marks a file as whitelisted, if files/folders contains sensitive data but updated by a legitimate genuine user. Files marked as whitelisted are not scanned by IGA.<br />For example, a sensitive file with the bank account name and salary details of employees is crucial, however, if uploaded by a finance CFO working in the organization is permissible and can be marked as a whitelisted. <br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">SELECT DISTINCTexc.CONNECTIONNAME AS 'GApps Account',ev.entitlement_value AS 'Sensitive FileName',ev.customproperty9 AS 'GApps File Name',ev.CUSTOMPROPERTY5 AS 'GApps File Path',ev.customproperty4 AS 'File Owner',GROUP_CONCAT(DISTINCT sr.RulenameORDER BY sr.Rulename ASCSEPARATOR ', ') AS 'Rule Name',sr.category AS 'ViolationType',ev.entitlement_valuekey AS entvaluekey,exc.externalconnectionkey AS Connectionkey,ep.ENDPOINTKEY AS endpointKeyFROMentitlement_values evINNER JOINentitlement_types et ON ev.entitlementtypekey = et.entitlementtypekeyAND ev.Status = 1AND et.ENTITLEMENTNAME = 'GoogleFile'AND ev.Status = 1AND ev.CUSTOMPROPERTY18 = 1INNER JOINscanrules_entitlements sre ON sre.entitlement_valuekey = ev.entitlement_valuekeyINNER JOINscanrules sr ON sr.scanrulekey = sre.scanrulenameAND sr.category IN ('PCI' OR 'PII')INNER JOINsecuritysystems ss ON et.systemkey = ss.systemkeyINNER JOINendpoints ep ON ep.SECURITYSYSTEMKEY = ss.systemkeyINNER JOINexternalconnection exc ON ss.externalconnection = exc.externalconnectionkeyINNER JOINexternalconnectiontype exct ON exc.externalconnectiontype = exct.externalconnectiontypekeyAND exct.connectiontype = 'GoogleApps'    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-UnWhiteList">Un WhiteList</h2>
        <p>When Un WhiteList is configured as an allowed action, it removes the whitelist flag on files or folders. Files marked as whitelisted are now scanned by IGA.<br />For example, a file previously whitelisted is updated and uploaded by someone other than&#160;legitimate user.</p>
        <h2 id="ConfiguringAllowedActions-StopEC2Instance">Stop EC2 Instance</h2>
        <p>When Stop EC2 Instance is configured as an allowed action, it stops the EC2 instance in the target AWS account.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name' , Ec2.entitlement_value as 'EC2 Instance',evat1.attribute_Value as 'Name',Ec2.customproperty9 as 'Region',If(ec2.customproperty14 = 'Windows', 'Windows','Linux') as 'Platform',if(Ec2.customproperty12 is NULL,'Not Assigned',Ec2.customproperty12) as 'Public IP',scg.entitlement_value as 'Security Group', 'Inbound' as 'Rule', ev.customproperty1 as 'Source' ,ev.customproperty2 as 'Protocol',ev.customproperty3 as 'From Port',ev.customproperty4 as 'To Port',Ec2.customproperty3 as 'Tags',Ec2.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev INNER JOIN entitlement_types et ON ev.entitlementtypekey = et.entitlementtypekey And et.Entitlementname = 'SGIBRules' INNER JOIN securitysystems sc ON et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc ON sc.externalconnection = exc.externalconnectionkey INNER JOIN externalconnectiontype exct ON exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' INNER JOIN externalconnattvalue excv ON excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' INNER JOIN entitlements2 e2 ON e2.entitlement_value2key = ev.entitlement_valuekey INNER JOIN entitlement_values scg ON e2.entitlement_value1key = scg.entitlement_valuekey INNER JOIN entitlement_types et1 ON et1.entitlementtypekey = scg.entitlementtypekey and et1.entitlementname = 'AWSSecurityGroup' LEFT OUTER JOIN entitlementmap emap ON e2.entitlement_value1key = emap.entitlement_value2key INNER JOIN entitlement_values Ec2 ON emap.entitlement_value1key = Ec2.entitlement_valuekey INNER JOIN entitlement_types et2 ON et2.entitlementtypekey = Ec2.entitlementtypekey and et2.entitlementname = 'EC2Instance' Left Outer Join entitlement_value_attrs evat1 on evat1.ENTITLEMENT_VALUE_KEY = ec2.entitlement_Valuekey and evat1.ATTRIBUTE_NAME = 'Name' Where ev.customproperty1 = '0.0.0.0/0' and ev.customproperty2 not in ('icmp','udp') and ((CAST(ev.customproperty3 AS UNSIGNED) &lt;= 3389 and CAST(ev.customproperty4 AS UNSIGNED) &gt;= 3389) or ((ev.customproperty3 = 'ALL') and (ev.customproperty4 = 'ALL'))) and ev.status = 1 and COALESCE(scg.status,0) &lt; 2 and ec2.status = 1 and Ec2.entitlement_value != 'null' and ev.customproperty1 not like '%terminated%'   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-EnableCloudTrail">Enable Cloud Trail</h2>
        <p>When Enable Cloud Trail is configured as an allowed action, it enables the log file integrity validation for various cloud trails in AWS.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name',ev.entitlement_value as 'Trail Name', ev1.entitlement_value as 'Bucket Name', ev1.customproperty8 as 'Creation Time',ev1.customproperty3 as 'Tags',et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey,ev.entitlement_valuekey AS entvaluekey from entitlement_values ev Inner Join entitlement_types et on ev.entitlementtypekey = et.entitlementtypekey and et.Entitlementname = 'AWSCloudTrail' and ev.status = 1 inner Join entitlement_values ev1 inner join entitlement_types et1 on ev1.entitlementtypekey = et1.entitlementtypekey and et1.entitlementname = 's3bucket' and ev.CUSTOMPROPERTY1 = ev1.entitlement_value and ev1.status = 1 inner join securitysystems sc on et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc on exc.externalconnectionkey = sc.externalconnection INNER JOIN externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' INNER JOIN entitlements2 e2 on e2.entitlement_value1key = ev1.Entitlement_valuekey INNER JOIN entitlement_values ev2 on ev2.Entitlement_valuekey = e2.entitlement_value2key and ev2.Entitlement_value = 'AllUsers' INNER JOIN entitlements2_privilege e2p on e2p.entitlement2uid = e2.entitlement2uid </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-EnableRotation">Enable Rotation</h2>
        <p>When Enable Rotation is configured as an allowed action, it enables rotation of the KMS Key for specific AWS region(s).</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name',ep.displayname as 'Account Name' ,ev.entitlement_value as 'Volume ID', ev.customproperty11 as 'Encrypted',ev.customproperty10 as 'Region',ev.customProperty2 as 'Creation Time',ev.customProperty1 as 'Size (In GB)',ev.customProperty13 as 'State',ev.customProperty16 as 'Attachment Device',ev1.customproperty13 as 'Key Alias',ev1.customProperty11 as 'Key ARN',ev.customProperty3 as 'Tags',ev.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev Inner Join entitlement_types et on ev.entitlementtypekey = et.entitlementtypekey and et.Entitlementname = 'EBSVolume' and ev.status = 1 inner join entitlement_values ev1 on ev.customproperty12=ev1.customproperty11 and IFNULL(ev1.customproperty13, '') LIKE 'aws/%' Inner Join entitlement_types et1 on ev1.entitlementtypekey = et1.entitlementtypekey and et1.Entitlementname = 'encryptionkeys' and ev1.status = 1 inner join securitysystems sc on et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc on exc.externalconnectionkey = sc.externalconnection INNER JOIN externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID'  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DetachVolumes">Detach Volumes</h2>
        <p>When Detach Volumes is configured as an allowed action, it detaches explicitly or terminates an Amazon EBS volume from an instance. But, if the instance is running, you must first unmount the volume from the instance.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name' , ev.entitlement_value as 'Volume ID', ev.customproperty13 as 'State',ev.customproperty10 as 'Region',ev.customProperty1 as 'Size (In GB)', ev.customProperty2 as 'Creation Time',ev.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev Inner Join entitlement_types et on ev.entitlementtypekey = et.entitlementtypekey and et.Entitlementname = 'EBSVolume' and ev.status = 1 and ev.customproperty13 not like '%In-use%' inner join securitysystems sc on et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc on exc.externalconnectionkey = sc.externalconnection INNER JOIN externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID'   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DeleteSecurityGroup">Delete Security Group</h2>
        <p>When Delete Security Group is configured as an allowed action, it deletes a security group. If the security group is associated with an AWS instance, an error message is displayed.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name' , Ec2.entitlement_value as 'EC2 Instance',evat1.attribute_Value as 'Name',Ec2.customproperty9 as 'Region',If(ec2.customproperty14 = 'Windows', 'Windows','Linux') as 'Platform',if(Ec2.customproperty12 is NULL,'Not Assigned',Ec2.customproperty12) as 'Public IP',scg.entitlement_value as 'Security Group', 'Inbound' as 'Rule', ev.customproperty1 as 'Source' ,ev.customproperty2 as 'Protocol',ev.customproperty3 as 'From Port',ev.customproperty4 as 'To Port',Ec2.customproperty3 as 'Tags',Ec2.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev INNER JOIN entitlement_types et ON ev.entitlementtypekey = et.entitlementtypekey And et.Entitlementname = 'SGIBRules' INNER JOIN securitysystems sc ON et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc ON sc.externalconnection = exc.externalconnectionkey INNER JOIN externalconnectiontype exct ON exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' INNER JOIN externalconnattvalue excv ON excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' INNER JOIN entitlements2 e2 ON e2.entitlement_value2key = ev.entitlement_valuekey INNER JOIN entitlement_values scg ON e2.entitlement_value1key = scg.entitlement_valuekey INNER JOIN entitlement_types et1 ON et1.entitlementtypekey = scg.entitlementtypekey and et1.entitlementname = 'AWSSecurityGroup' LEFT OUTER JOIN entitlementmap emap ON e2.entitlement_value1key = emap.entitlement_value2key INNER JOIN entitlement_values Ec2 ON emap.entitlement_value1key = Ec2.entitlement_valuekey INNER JOIN entitlement_types et2 ON et2.entitlementtypekey = Ec2.entitlementtypekey and et2.entitlementname = 'EC2Instance' Left Outer Join entitlement_value_attrs evat1 on evat1.ENTITLEMENT_VALUE_KEY = ec2.entitlement_Valuekey and evat1.ATTRIBUTE_NAME = 'Name' Where ev.customproperty1 = '0.0.0.0/0' and (ev.customproperty3 = 'ALL' and ev.customproperty4 = 'ALL') and ev.status = 1 and COALESCE(scg.status,0) &lt; 2 and ec2.status = 1 and Ec2.entitlement_value != 'null' and ev.customproperty1 not like '%terminated%'  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-EnableEC2Termination">Enable EC2 Termination</h2>
        <p>When Enable EC2 Termination is configured as an allowed action, it enables the EC2 termination protection for an AWS instance. If the AWS instance is already protected, you cannot update the EC2 termination.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name', ev.entitlement_value as 'EC2 Instance', ev.customproperty9 as 'Region', ev.customproperty5 as 'VPC ID', ev.customProperty3 as Tags ,et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey ,ev.entitlement_valuekey AS entvaluekey from entitlement_values ev inner join entitlement_types et on et.entitlementtypekey = ev.entitlementtypekey And et.entitlementname = 'ec2instance' And ev.customproperty5 is null And ev.status = 1 and ev.customproperty1 not like '%terminated%' inner join securitysystems sc on et.systemkey = sc.systemkey inner join endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey inner join externalconnection exc on sc.externalconnection = exc.externalconnectionkey inner join externalconnectiontype exct on exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' inner join externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID'   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DeleteElasticIP">Delete Elastic IP</h2>
        <p>When Delete Elastic IP is configured as an allowed action, it deletes an Elastic IP (EIP) from an AWS instance. If you delete an EIP of a running instance, it will remain without that until AWS assigns a new EIP to it.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name', ev.ENTITLEMENT_VALUE as 'Domain',ev.customproperty9 as 'Region',ev.customproperty5 as 'Elasticsearch Version',ev.customproperty7 as 'Number of Nodes',ev.customproperty12 as 'Zone Awareness',ev.customproperty3 as 'Tags',ev.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev inner join entitlement_types et on et.entitlementtypekey = ev.entitlementtypekey and et.entitlementname = 'Elasticsearch' And ev.status = 1 and ev.customproperty12 = 'False' INNER JOIN securitysystems sc on et.systemkey = sc.systemkey inner join endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey inner join externalconnection exc on sc.externalconnection = exc.externalconnectionkey inner join externalconnectiontype exct on exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' inner join externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID';   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DeleteELB">Delete ELB</h2>
        <p>When Delete ELB is configured as an allowed action, it deletes an AWS Elastic Load Balancer (ELB) which is not in use.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select ev_elb.entitlement_value as 'ELB', ev_listner.entitlement_value as 'Listener',ev_elb.customproperty9 as 'ELB Region', ev_listner.customproperty1 as 'Protocol', substr(ev_listner.customproperty5,1,locate(',',ev_listner.customproperty5)-1) as 'Certificate', concat(trim(substr(ev_listner.customproperty5,locate(',',ev_listner.customproperty5)+1,20)),substr(ev_listner.customproperty5,(locate(',', ev_listner.customproperty5)+24),LENGTH(ev_listner.customproperty5)) ) as 'Certificate Expiry Date', excv.attributevalue as 'Root Account ID', et_listner.endpointkey as 'Endpoint Key' ,ep.ENDPOINTKEY AS endpointKey, ev.entitlement_valuekey AS entvaluekey,exc.externalconnectionkey AS Connectionkey from entitlement_values ev_listner inner join entitlement_types et_listner on et_listner.entitlementtypekey = ev_listner.entitlementtypekey And lower(et_listner.Entitlementname) = lower('elblistener') and COALESCE(ev_listner.status,0) &amp;lt; 2 and ev_listner.customproperty1 in ('HTTPS', 'SSL') and str_to_date(concat(trim(substr(ev_listner.customproperty5,locate(',',ev_listner.customproperty5)+1,20)),substr(ev_listner.customproperty5,(locate(',', ev_listner.customproperty5)+24),LENGTH(ev_listner.customproperty5))),'%Y-%c-%d %k:%i:%S') &amp;lt; CURRENT_TIMESTAMP() inner join entitlements2 listen_elb on ev_listner.entitlement_valuekey = listen_elb.entitlement_value2key inner join entitlement_values ev_elb on listen_elb.entitlement_value1key = ev_elb.entitlement_valuekey and COALESCE(ev_elb.status,0) &amp;lt; 2 inner join securitysystems sc on et_listner.systemkey = sc.systemkey inner join endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey inner join externalconnection exc on sc.externalconnection = exc.externalconnectionkey inner join externalconnectiontype exct on exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' inner join externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID'  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DisassociateUserFromPolicy">Disassociate User From Policy</h2>
        <p>When Disassociate User From Policy is configured as an allowed action, it disassociates the user in AWS from the policy. </p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name', ac.NAME as 'IAM User', acr.user_creation_time as 'Creation Time',if(acr.mfa_active='true', 'Enabled', 'Not Enabled' ) as 'MFA Status',ev.entitlement_value as 'Attached Policy Name',e2p.attribute_value as 'Allowed Action',ev.ENTITLEMENT_VALUEKEY as entvaluekey,et.endpointkey as externalConnectionKey,ac.ACCOUNTKEY as acctKey ,ep.ENDPOINTKEY AS endpointKey from aws_credreport acr inner join accounts ac on lower(ac.customproperty4) = lower(acr.arn) and acr.mfa_active = 'false' and acr.password_enabled = 'true' inner join account_entitlements1 ae1 on ac.accountkey = ae1.accountkey inner join entitlement_values ev on ae1.ENTITLEMENT_VALUEKEY = ev.ENTITLEMENT_VALUEKEY inner join entitlement_types et on et.entitlementtypekey = ev.entitlementtypekey And et.entitlementname = 'AWSPolicy' inner join entitlements2 e2 on ev.entitlement_valuekey = e2.entitlement_value1key inner Join entitlement_values ev1 on e2.entitlement_value2key = ev1.entitlement_valuekey inner join entitlement_types et1 on et1.entitlementtypekey = ev1.entitlementtypekey And et1.entitlementname = 'AWSPolicyStatement' inner join entitlements2_privilege e2p on e2p.entitlement2uid = e2.entitlement2uid and e2p.attribute_name = 'AllowAction' And e2p.attribute_value like '%:*' inner join securitysystems sc on ac.SYSTEMID = sc.systemkey inner join endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey inner join externalconnection exc on sc.externalconnection = exc.externalconnectionkey inner join externalconnectiontype exct on exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' inner join externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DeleteAccessKeyOfUser">Delete Access Key Of User</h2>
        <p>Each user has an Access Key and a Secret Access Key for user activation in AWS. When Delete Access Key Of User is configured as an allowed action, it deletes the Access Key of the user. The user will not be able to access AWS.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name', ac.name as 'IAM User',acr.user_creation_time 'Creation Time', acr.password_enabled as 'Password Enabled', acr.password_last_used as 'Password Last used', acr.access_key_1_active as 'Access Key 1 Active', acr.access_key_1_last_used_date as 'Access Key 1 Last Used', acr.access_key_2_active as 'Access Key 2 Active', acr.access_key_2_last_used_date as 'Access Key 2 Last Used' , ev.entitlement_valuekey AS entvaluekey,exc.externalconnectionkey AS Connectionkey,ep.ENDPOINTKEY AS endpointKey from accounts ac INNER JOIN securitysystems sc ON ac.systemid = sc.systemkey inner join endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc on sc.externalconnection = exc.externalconnectionkey INNER JOIN externalconnectiontype exct on exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' INNER JOIN externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' INNER JOIN aws_credreport acr on acr.aws_account_id = excv.attributevalue and ac.customproperty4 = acr.arn and ac.status = 1 and acr.password_enabled = 'true' and (acr.access_key_1_active = 'true' or acr.access_key_2_active = 'true') </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-RevokeS3AnonymousAccess">Revoke S3 Anonymous Access</h2>
        <p>When Revoke S3 Anonymous Access is configured as an allowed action, it revokes an anonymous public access on the S3 Bucket.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name',ev.entitlement_value as 'Trail Name', ev1.entitlement_value as 'Bucket Name', ev1.customproperty8 as 'Creation Time',ev1.customproperty3 as 'Tags',et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey,ev.entitlement_valuekey AS entvaluekey from entitlement_values ev Inner Join entitlement_types et on ev.entitlementtypekey = et.entitlementtypekey and et.Entitlementname = 'AWSCloudTrail' and ev.status = 1 inner Join entitlement_values ev1 inner join entitlement_types et1 on ev1.entitlementtypekey = et1.entitlementtypekey and et1.entitlementname = 's3bucket' and ev.CUSTOMPROPERTY1 = ev1.entitlement_value and ev1.status = 1 inner join securitysystems sc on et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc on exc.externalconnectionkey = sc.externalconnection INNER JOIN externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' INNER JOIN entitlements2 e2 on e2.entitlement_value1key = ev1.Entitlement_valuekey INNER JOIN entitlement_values ev2 on ev2.Entitlement_valuekey = e2.entitlement_value2key and ev2.Entitlement_value = 'AllUsers' INNER JOIN entitlements2_privilege e2p on e2p.entitlement2uid = e2.entitlement2uid  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-DeleteRDS">Delete RDS</h2>
        <p>Amazon Relational Database Service (RDS) makes it easy to setup, operate, and scale a relational database in the cloud. When Delete RDS is configured as an allowed action, it deletes an existing RDS. </p>
        <p>It is recommended to take a snapshot of the RDS before deleting an RDS.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name' , rds.entitlement_value as 'DB Instance',rds.customproperty1 as 'Region',rds.customproperty2 as 'Engine',rds.customProperty18 as 'Publicly Accessible' , rds.customproperty14 as 'Resource Status',scg.entitlement_value as 'Security Group', 'Inbound' as 'Rule', ev.customproperty1 as 'Source' ,ev.customproperty2 as 'Protocol',ev.customproperty3 as 'From Port',ev.customproperty4 as 'To Port',rds.customproperty3 as 'Tags',rds.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey ,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev INNER JOIN entitlement_types et ON ev.entitlementtypekey = et.entitlementtypekey And et.Entitlementname = 'SGIBRules' INNER JOIN securitysystems sc ON et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc ON sc.externalconnection = exc.externalconnectionkey INNER JOIN externalconnectiontype exct ON exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' INNER JOIN externalconnattvalue excv ON excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' INNER JOIN entitlements2 e2 ON e2.entitlement_value2key = ev.entitlement_valuekey INNER JOIN entitlement_values scg ON e2.entitlement_value1key = scg.entitlement_valuekey INNER JOIN entitlement_types et1 ON et1.entitlementtypekey = scg.entitlementtypekey and et1.entitlementname = 'AWSSecurityGroup' LEFT OUTER JOIN entitlementmap emap ON e2.entitlement_value1key = emap.entitlement_value2key INNER JOIN entitlement_values rds ON emap.entitlement_value1key = rds.entitlement_valuekey INNER JOIN entitlement_types et2 ON et2.entitlementtypekey = rds.entitlementtypekey and et2.entitlementname = 'RdsDbInstance' And rds.status = 1 and rds.customproperty18 = 'true' Where ev.customproperty1 = '0.0.0.0/0' and ev.customproperty2 not in ('icmp','udp') and ev.status = 1 and COALESCE(scg.status,0) &lt; 2 and rds.entitlement_value != 'null'  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-RemoveVpcPeering">Remove Vpc Peering</h2>
        <p>VPC Peering is a networking connection between 2 Virtual Private Clouds, that enables you to route traffic between them using IPv4/IPv6 addresses. It is mainly used for high-availability and avoids single point failure. When Remove Vpc Peering is configured as an allowed action, it removes a VPC network connection between two VPCs following which data replication would not occur. </p>
        <p>You can establish VPC peering in your account, in another VPC account, or in another AWS region.<br /><br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS Account', ev.entitlement_value as 'Violated Peering VPC IDs', ev.customproperty8 as 'Central VPC',ev.customproperty9 as 'vpc_region',ev.customproperty3 as 'vpc_Tags',ev.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey from entitlement_values ev inner join entitlement_types et on et.entitlementtypekey = ev.entitlementtypekey and et.entitlementname = 'VpcPeering' and ev.ENTITLEMENT_VALUEKEY not in (select distinct ev.ENTITLEMENT_VALUEKEY from entitlement_values ev inner join entitlement_types et on et.entitlementtypekey = ev.entitlementtypekey and et.entitlementname = 'VpcPeering' )INNER JOIN securitysystems sc ON et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc ON sc.externalconnection = exc.externalconnectionkey INNER JOIN externalconnectiontype exct ON exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' INNER JOIN externalconnattvalue excv ON excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID' and ev.status = 1   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-EnableS3Logging">Enable S3 Logging</h2>
        <p>When Enable S3 Logging is configured as an allowed action, it enables logging of requests made to a S3 bucket. <br />Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name', ev.ENTITLEMENT_VALUE as 'Cluster ID', ev.customproperty1 as 'Cluster Name',ev.customproperty9 as 'Region',ev.customProperty11 as 'Creation Time',If(ev.customproperty2 is NULL, 'No', 'Yes') as 'Logging Enabled',ev.customProperty3 as 'Tags',ev.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey,ev.entitlement_valuekey AS entvaluekey,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev Inner Join entitlement_types et on ev.entitlementtypekey = et.entitlementtypekey and et.Entitlementname = 'EMR' and ev.customproperty2 is NULL and ev.status = 1 inner join securitysystems sc on et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc on exc.externalconnectionkey = sc.externalconnection INNER JOIN externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID';    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-CreateEntitlementValueCertification">Create Entitlement Value Certification</h2>
        <p>When Create Entitlement Value Certification is configured as an allowed action, it creates and launches the certification for the entitlement of the entitlement owner.</p>
        <h2 id="ConfiguringAllowedActions-EnableCloudTrailValidation">Enable Cloud Trail Validation</h2>
        <p>When Enable Cloud Trail Validation is configured as an allowed action, it enables the log file integrity validation for various cloud trails in AWS.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct excv.attributevalue as 'AWS AccountID',ep.displayname as 'Account Name', ev.ENTITLEMENT_VALUE as 'Cluster ID', ev.customproperty1 as 'Cluster Name',ev.customproperty9 as 'Region',ev.customProperty11 as 'Creation Time',If(ev.customproperty2 is NULL, 'No', 'Yes') as 'Logging Enabled',ev.customProperty3 as 'Tags',ev.ENTITLEMENT_VALUEKEY as entvaluekey ,et.endpointkey as externalConnectionKey,ev.entitlement_valuekey AS entvaluekey,ev.entitlement_valuekey AS entvaluekey,ep.ENDPOINTKEY AS endpointKey from entitlement_values ev Inner Join entitlement_types et on ev.entitlementtypekey = et.entitlementtypekey and et.Entitlementname = 'EMR' and ev.customproperty2 is NULL and ev.status = 1 inner join securitysystems sc on et.systemkey = sc.systemkey INNER JOIN endpoints ep on ep.SECURITYSYSTEMKEY=sc.systemkey INNER JOIN externalconnection exc on exc.externalconnectionkey = sc.externalconnection INNER JOIN externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey = 'AWS_ACCOUNT_ID';</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="ConfiguringAllowedActions-ExecuteLambdaFunction">Execute Lambda Function</h2>
        <p>When Execute Lambda Function is configured as an allowed action, it executes the Lambda function. Ensure that the Lambda function is already created. </p>
        <p>The AWS Lambda executes your function on your behalf.</p>
        <p>The Analytics query must have the following columns:</p>
        <ul>
            <li>
                <p><b>entvaluekey</b> - Entitlement value key of the entitlement to which the account will be assigned. </p>
            </li>
            <li>
                <p><b>externalConnectionKey</b> - Connection key of the AWS Connection. </p>
            </li>
            <li>
                <p><b>lambdaName</b> - Name of the Lambda function to be executed. </p>
            </li>
            <li>
                <p><b>region</b> - Region where the Lambda Function is present. </p>
            </li>
            <li>
                <p><b>inputJson</b> - JSON body to be sent as a test event to the Lambda Function. </p>
            </li>
            <li>
                <p><b>lambdaAccountId</b> - AWS Account ID of the AWS account where the Lambda function is present.</p>
            </li>
        </ul>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">Select excv.attributevalue as AccountID,ac.CUSTOMPROPERTY4 as 'Account ARN',ac.name as 'IAM User',ac.CREATED_ON as 'AccountCreateDate',substring_index(acat.ATTRIBUTE_VALUE,',',1) as 'AccessKey',substring_index(substring_index(acat.ATTRIBUTE_VALUE,',',2),',',-1) as 'AccessKey CreateDate', NULL as entvaluekey,'us-east-1' as region,'Execute Lambda Function' as 'Default_Action_For_Analytics', 'ZalandoPOC-deleteaccesskey' as lambdaName, exc.EXTERNALCONNECTIONKEY as externalConnectionKey,CONCAT('{"awsiamuser":"', ac.name ,'","accesskeyid":"',substring_index(acat.ATTRIBUTE_VALUE,',',1),'","crossaccountrole":','"arn:aws:iam::661222050851:role/saviynt-analyzer-poc-SaviyntAWSRole-1M7ICRQQT66I0"}') as inputJson, '533811351211' as lambdaAccountId from accounts ac Inner join securitysystems sc on ac.SYSTEMID = sc.systemkey Inner Join externalconnection exc on sc.externalconnection = exc.externalconnectionkey Inner Join externalconnectiontype exct on exc.externalconnectiontype = exct.externalconnectiontypekey and exct.connectiontype = 'AWS' Inner join externalconnattvalue excv on excv.connectiontype = exc.externalconnectionkey and excv.attributekey ='AWS_ACCOUNT_ID' inner join account_attributes acat on ac.accountkey = acat.accountkey and acat.attribute_name = 'accessKeyMetaData_Event' where substring_index(substring_index(acat.ATTRIBUTE_VALUE,',',2),',',-1) &gt; (Select ah.UPDATEDate from analytics_analyticshistory as ah,analyticsconfig as aconf where ah.ANALYTICSCONFIG=aconf.ANALYTICSKEY and aconf.ANALYTICSNAME = 'Access keys Creation' order by ah.analyticshistory desc limit 1);   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h3 id="ConfiguringAllowedActions-CustomizingLambdaFunction" MadCap:conditions="Default.v2021X">Customizing Lambda Function</h3>
        <p MadCap:conditions="Default.v2021X">You can customize the name of the <strong>Execute Lambda Function</strong> option by creating an analytics with the SQL query that supports Lambda function. After executing the query, the Lambda function name configured in the query is displayed in the Action drop down. </p>
        <p MadCap:conditions="Default.v2021X">Sample query:</p>
        <MadCap:codeSnippet MadCap:conditions="Default.v2021X">
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select username,'1' as entvaluekey,'2' as externalConnectionKey,'newlambda' as lambdaName,'4' as region,'5' as inputJson,'6' as lambdaAccountId from users limit 5   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p MadCap:conditions="Default.v2021X">After running the analytics by executing the sample query, the customized lambda name appears in the Action dropdown. The following screenshot illustrates the same:</p>
        <p MadCap:conditions="Default.v2021X">
            <img src="../Resources/Images/lambda.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 932px;height: 430px;" />
        </p>
        <div class="info" MadCap:conditions="Default.v2021X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">This customization capability is available from the Release v2021.0 onwards.</p>
        </div>
        <h2 id="ConfiguringAllowedActions-GenerateToken">Generate Token</h2>
        <p>When Generate Token is configured as an allowed action, it allows you to generate Access token stored in the HashiCorp Vault connector and periodically rotate the SECRET_ID.</p>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select exc.externalconnectionkey as externalConnectionKey , exc.status as connStatus, exc.statusForEnableDisable, sysdate() as sysdate, case when exc.statusForEnableDisable = '1' then 'Generate Token' end as Default_Action_For_Analytics from externalconnection exc, externalconnectiontype exct WHERE exc.externalconnectionType = exct.externalconnectiontypekey AND exct.connectiontype = 'Hashicorp';   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>&#160;</p>
    </body>
</html>